HP printer driver problem (solved)

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
brian_p
Level 7
Level 7
Posts: 1546
Joined: Thu Jan 17, 2019 9:20 am

Re: HP printer driver problem

Post by brian_p »

Slowpoke47 wrote:
Sun Dec 22, 2019 6:31 pm

The printer printed a page to order. AND- for the first time today, THE SCANNER SCANNED A PAGE in Simple Scan as well as xsane.
There you are. Printing and scanning working. Success. I think we can all go home now,
--
Brian.
Slowpoke47
Level 4
Level 4
Posts: 304
Joined: Sun Aug 07, 2016 12:41 pm

Re: HP printer driver problem

Post by Slowpoke47 »

brian_p wrote:
Sun Dec 22, 2019 7:34 pm


Success. I think we can all go home now,
And you deserve the lion's share of the credit. My grateful thanks!
User avatar
majpooper
Level 6
Level 6
Posts: 1421
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: HP printer driver problem

Post by majpooper »

Slowpoke47 wrote:
Sun Dec 22, 2019 6:31 pm
I have to post this update. My most recent effort was to follow majorpooper's guidance with the step-by-step commands preceded by a purge of all HP-related files. The command I used for the purge came from a beginner guide book I am using, and resulted in error messages re broken packages, etc.

The tray icon was still showing. The printer printed a page to order. AND- for the first time today, THE SCANNER SCANNED A PAGE in Simple Scan as well as xsane. No idea where all this stands. I think v, 3.19.12 is still installed, since pkg mgr shows no installed files from the repo, which would be 3.17.10.

Is there a way to view a list of installed programs that are not in the repo?

Edit- hp-check tells me that v.3.19.12 is installed.
Hoooah! Finally you are up and running - way to hang tough

Open the (Synaptic) Package Manager
On the left click on Custom Filters
At the top Click on Broken
tick all the broken packages Mark for Complete Removal
Click Apply

While you are at it and have the (Synaptic) Package Manager open
Click on Status
scroll down to Not installed (residual config)
tick all those packages Mark for Complete Removal
Click Apply

From the terminal

Code: Select all

sudo apt update
Looks like you are good2go
squiggles3
Level 1
Level 1
Posts: 39
Joined: Wed Apr 10, 2019 12:40 am

Re: HP printer driver problem

Post by squiggles3 »

majpooper wrote:
Sun Dec 22, 2019 9:28 pm

From the terminal

Code: Select all

sudo apt update
Looks like you are good2go
I think Synaptic runs an apt update after applying changes automatically right?
Slowpoke47
Level 4
Level 4
Posts: 304
Joined: Sun Aug 07, 2016 12:41 pm

Re: HP printer driver problem

Post by Slowpoke47 »

Scan function remains present and accounted for with this morning's reboot. The HP Manager menu entry and the HP tray icon are gone, but we don't need them for successful printing and scanning.

My heartfelt thanks to those who overlooked my obvious lack of experience with Mint and guided me to the hoped-for outcome in spite of my missteps and dumb questions. With the printer now fully functional, I can spend more time reading up on using Mint as well as the workings of this forum. It has been a months-long undertaking that would have ended in defeat if not for those forum members who stood by me while I repeatedly shot myself in the foot.

The upshot of all this is that I can safely and comfortably leave Windows in the rear-view mirror as MS throws Win7 under the bus. As a bonus, the more I see of Mint, the more there is to like. I am further showing my gratitude by making another donation to this site. To all on the forum, happy holidays and all the best for 2020.

Personally, I could not hope for a better Christmas present.

Steve
User avatar
Moem
Level 21
Level 21
Posts: 12567
Joined: Tue Nov 17, 2015 9:14 am
Location: The Netherlands
Contact:

Re: HP printer driver problem

Post by Moem »

Slowpoke47 wrote:
Mon Dec 23, 2019 9:57 am
Scan function remains present and accounted for with this morning's reboot.
That is excellent! That means you now get to mark the thread as [SOLVED] by adding that text to the title of the first post, by editing that post. A very satisfying chore. :D

And best wishes to you!
Image

If your issue is solved, kindly indicate that by editing the first post in the topic, and adding [SOLVED] to the title. Thanks!
Slowpoke47
Level 4
Level 4
Posts: 304
Joined: Sun Aug 07, 2016 12:41 pm

Re: HP printer driver problem

Post by Slowpoke47 »

Moem wrote:
Mon Dec 23, 2019 10:07 am
Slowpoke47 wrote:
Mon Dec 23, 2019 9:57 am
Scan function remains present and accounted for with this morning's reboot.
That is excellent! That means you now get to mark the thread as [SOLVED] by adding that text to the title of the first post, by editing that post. A very satisfying chore. :D

And best wishes to you!
Already done, thank you. Additional donation made also. Happy New Year to all!
User avatar
majpooper
Level 6
Level 6
Posts: 1421
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: HP printer driver problem

Post by majpooper »

squiggles3 wrote:
Mon Dec 23, 2019 12:37 am
majpooper wrote:
Sun Dec 22, 2019 9:28 pm

From the terminal

Code: Select all

sudo apt update
Looks like you are good2go
I think Synaptic runs an apt update after applying changes automatically right?
Does it ? Got me - would be nice to know for sure - but running

Code: Select all

sudo spt update
is too easy and never hurts to do so . . . . .
DAMIEN1307
Level 11
Level 11
Posts: 3744
Joined: Tue Feb 21, 2017 8:13 pm
Location: Alamogordo, New Mexico, USA

Re: HP printer driver problem (solved)

Post by DAMIEN1307 »

Hi majorpooper,

Im sure you must have meant "apt" not "spt"...lol...DAMIEN
ORDO AB CHAO
"I refuse to be assimilated, I refuse to become one with the Borg Collective"
User avatar
majpooper
Level 6
Level 6
Posts: 1421
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: HP printer driver problem (solved)

Post by majpooper »

DAMIEN1307 wrote:
Mon Dec 23, 2019 12:12 pm
Hi majorpooper,

Im sure you must have meant "apt" not "spt"...lol...DAMIEN
yep - typing to fast and not paying attention.
Slowpoke47
Level 4
Level 4
Posts: 304
Joined: Sun Aug 07, 2016 12:41 pm

Re: HP printer driver problem (solved)

Post by Slowpoke47 »

OP here- Postscript: On retrospect, my Mint newbie status may have been compounded by equipment failure. Just before my "breakthrough" moment on the scanner problem a couple of days ago, my mouse buttons went completely haywire, producing bizarre results to both left and right clicks. There were other oddities as well- e.g. selections I didn't make. Looking back, this phenomenon began in a minimal way some weeks ago, and I had attributed it to errors on my part. It may be no coincidence that, once I ran out and bought a new mouse, everything fell into place almost instantly.

This by no means excuses my own missteps and dumb questions/ moves, but it for sure didn't make the process any easier.
User avatar
majpooper
Level 6
Level 6
Posts: 1421
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: HP printer driver problem (solved)

Post by majpooper »

Slowpoke47 wrote:
Tue Dec 24, 2019 8:33 am
OP here- Postscript: On retrospect, my Mint newbie status may have been compounded by equipment failure. Just before my "breakthrough" moment on the scanner problem a couple of days ago, my mouse buttons went completely haywire, producing bizarre results to both left and right clicks. There were other oddities as well- e.g. selections I didn't make. Looking back, this phenomenon began in a minimal way some weeks ago, and I had attributed it to errors on my part. It may be no coincidence that, once I ran out and bought a new mouse, everything fell into place almost instantly.

This by no means excuses my own missteps and dumb questions/ moves, but it for sure didn't make the process any easier.
Some of that may have had an impact for sure but unlike any other issue I have ever run into there were a myriad of other variables that in no way a complete noob was ever going to understand let alone figure out.

Here is my informal f AAR - (After Action Review)
One - the repo version of hplip is complete garbage - so yeah if the hp printer driver that is native in your kernel works for you no problem but if it doesn't well . . . .
Two - we (and I mean all of us trying to help) were confusing the hell out of you by mixing install methods - gui vs executing .run files from the terminal
Three - run hp-check on a virgin install of 19.2 Mint and it blows up - over 22 errors mostly dependencies and several warnings.
Four - if you do need the plugin - yeah, it will install just fine if you are on the repo version of hplip AND you install it via the gui because there is no .run file available from the HP development web site for the repo version. And anyway getting the repo version of the plugin installed does not solve the issue of all the errors and warnings - good luck installing all the 22 package dependencies that are really the problem - especially for a noob.
Five - the only real answer is to install a later version of hplip that as part of the install script installs all the required dependencies (libs, xsane, latest cups stuff etc.) and then install the the matching plugin - if you need it.
Six - Oh and BTW even after you install the latest version of hplip the repo version is still in the software repositories unless you manually uninstall it.

We screwed around with one thru four back and forth and had you totally confused when in the end it turned out to be the simple answer was five.
pbear
Level 15
Level 15
Posts: 5656
Joined: Wed Jun 21, 2017 12:25 pm
Location: San Francisco

Re: HP printer driver problem (solved)

Post by pbear »

majpooper wrote:
Tue Dec 24, 2019 6:30 pm
... the repo version of hplip is complete garbage
The repo version is fine. That's attested by many users in this thread and the original one. What it does require, though, for the setup utility to work, is that the device (printer, all-in-one, etc.) be attached to the system. The problem here was that the OP is using a network. Configuring that (kudos to brian), was the key to the puzzle. Switching to the download version only introduced needless complexity, IMHO.
User avatar
majpooper
Level 6
Level 6
Posts: 1421
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: HP printer driver problem (solved)

Post by majpooper »

pbear wrote:
Wed Dec 25, 2019 1:12 pm
majpooper wrote:
Tue Dec 24, 2019 6:30 pm
... the repo version of hplip is complete garbage
The repo version is fine. That's attested by many users in this thread and the original one. What it does require, though, for the setup utility to work, is that the device (printer, all-in-one, etc.) be attached to the system. The problem here was that the OP is using a network. Configuring that (kudos to brian), was the key to the puzzle. Switching to the download version only introduced needless complexity, IMHO.
The repo version is fine - except when it's not. If you are an expert then I like to understand how my conclusions are wrong after through testing.
My HP OfficeJet 8610 is a network printer as well (it is hard wired to a switch and then a router) and there is no network configuring required to get my printer up and running on 19.2 Mate - so all due respect to brian - no I do not believe it was a network issue. I get it, xsane was an error, so was cups and python (I almost went down that path) and so were 20 other errors (yeah 22 errors plus warnings) that hp-check produces with the repo version. Boot up a live version of 19.2 Mate and run hp-check and here is what you get - and BTW my networked HP OfficeJet 8610 is just there printing and scanning - you know - like magic - so it will take some convincing to get me to believe OP's issue was something to do with being a network printer and not that HP OfficeJet 8610 required drivers and plugins live fat dumb and happy in the kernel and all the required dependencies are present but in the case of the OP's HP 1522nf they are not.

Code: Select all

mint@mint:~$ hp-check
Saving output in log file: /home/mint/hp-check.log

HP Linux Imaging and Printing System (ver. 3.17.10)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.                                    
2. Run-time check mode (-r or --run): Use this mode to determine if a distro    
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball   
has the proper dependencies installed to successfully run.                      
3. Both compile- and run-time check mode (-b or --both) (Default): This mode    
will check both of the above cases (both compile- and run-time dependencies).   

Check types:                                                                    
a. EXTERNALDEP - External Dependencies                                          
b. GENERALDEP - General Dependencies (required both at compile and run time)    
c. COMPILEDEP - Compile time Dependencies                                       
d. [All are run-time checks]                                                    
PYEXT SCANCONF QUEUES PERMISSION                                                

Status Types:
    OK
    MISSING       - Missing Dependency or Permission or Plug-in
    INCOMPAT      - Incompatible dependency-version or Plugin-version

warning: 22-19.2 version is not supported. Using 22-18.2 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

 Kernel: 4.15.0-54-generic #58-Ubuntu SMP Mon Jun 24 10:55:24 UTC 2019 GNU/Linux
 Host: mint
 Proc: 4.15.0-54-generic #58-Ubuntu SMP Mon Jun 24 10:55:24 UTC 2019 GNU/Linux
 Distribution: 22 19.2
 Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.17.10
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for 22 distro  19.2 version 

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.17.10

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip
html=/usr/share/doc/hplip-doc
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.17.10
restricted-build=no
ui-toolkit=qt5
qt3=no
qt4=no
qt5=yes
policy-kit=yes
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no


Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: No such file or directory

Current contents of '~/.hplip/hplip.conf' file:
[installation]
date_time = 12/25/19 20:31:10
version = 3.17.10


 <Package-name>        <Package-Desc>      <Required/Optional> <Min-Version> <Installed-Version> <Status>   <Comment>

-------------------------
| External Dependencies |
-------------------------

 error: cups          CUPS - Common Unix Printing System                           REQUIRED        1.1             -               INCOMPAT   'CUPS may not be installed or not running'
 gs                   GhostScript - PostScript and PDF language interpreter and previewer REQUIRED        7.05            9.26            OK         -
 error: xsane         xsane - Graphical scanner frontend for SANE                  OPTIONAL        0.9             -               MISSING    'xsane needs to be installed'
 scanimage            scanimage - Shell scanning program                           OPTIONAL        1.0             1.0.27          OK         -
 error: dbus          DBus - Message bus system                                    REQUIRED        -               1.12.2          MISSING    'DBUS may not be installed or not running'
 policykit            PolicyKit - Administrative policy framework                  OPTIONAL        -               0.105           OK         -
 network              network -wget                                                OPTIONAL        -               1.19.4          OK         -
 avahi-utils          avahi-utils                                                  OPTIONAL        -               0.7             OK         -

------------------------
| General Dependencies |
------------------------

 error: libjpeg       libjpeg - JPEG library                                       REQUIRED        -               -               MISSING    'libjpeg needs to be installed'
 error: cups-devel    CUPS devel- Common Unix Printing System development files    REQUIRED        -               -               MISSING    'cups-devel needs to be installed'
 error: cups-image    CUPS image - CUPS image development files                    REQUIRED        -               -               MISSING    'cups-image needs to be installed'
 libpthread           libpthread - POSIX threads library                           REQUIRED        -               b'2.27'         OK         -
 error: libusb        libusb - USB library                                         REQUIRED        -               1.0             MISSING    'libusb needs to be installed'
 sane                 SANE - Scanning library                                      REQUIRED        -               -               OK         -
 error: sane-devel    SANE - Scanning library development files                    REQUIRED        -               -               MISSING    'sane-devel needs to be installed'
 error: libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED        5.0.9           -               MISSING    'libnetsnmp-devel needs to be installed'
 error: libcrypto     libcrypto - OpenSSL cryptographic library                    REQUIRED        -               1.1.1           MISSING    'libcrypto needs to be installed'
 python3X             Python 2.2 or greater - Python programming language          REQUIRED        2.2             3.6.8           OK         -
 error: python3-notify2 Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL        -               -               MISSING    'python3-notify2 needs to be installed'
 error: python3-pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4                         OPTIONAL        4.0             -               MISSING    'python3-pyqt4-dbus needs to be installed'
 error: python3-pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x)         REQUIRED        4.0             -               MISSING    'python3-pyqt4 needs to be installed'
 python3-dbus         Python DBus - Python bindings for DBus                       REQUIRED        0.80.0          1.2.6           OK         -
 python3-xml          Python XML libraries                                         REQUIRED        -               2.2.5           OK         -
 error: python3-devel Python devel - Python development files                      REQUIRED        2.2             3.6.8           MISSING    'python3-devel needs to be installed'
 python3-pil          PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL        -               1.1.7           OK         -
 python3-reportlab    Reportlab - PDF library for Python                           OPTIONAL        2.0             3.4.0           OK         -

--------------
| COMPILEDEP |
--------------

 error: libtool       libtool - Library building support services                  REQUIRED        -               -               MISSING    'libtool needs to be installed'
 error: gcc           gcc - GNU Project C and C++ Compiler                         REQUIRED        -               7.4.0           MISSING    'gcc needs to be installed'
 make                 make - GNU make utility to maintain groups of programs       REQUIRED        3.0             4.1             OK         -

---------------------
| Python Extentions |
---------------------

 cupsext              CUPS-Extension                                               REQUIRED        -               3.17.10         OK         -
 hpmudext             IO-Extension                                                 REQUIRED        -               3.17.10         OK         -

----------------------
| Scan Configuration |
----------------------

'/etc/sane.d/dll.d/hpaio' not found.
 hpaio                HPLIP-SANE-Backend                                           REQUIRED        -               3.17.10         OK         'hpaio found in /etc/sane.d/dll.conf'
 scanext              Scan-SANE-Extension                                          REQUIRED        -               3.17.10         OK         -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

device `hpaio:/net/hp_officejet_pro_8610?ip=192.168.46.106&queue=false' is a Hewlett-Packard hp_officejet_pro_8610 all-in-one


--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 

--------------
| PERMISSION |
--------------

 
-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
error: 'libcups2' package is missing/incompatible 
error: 'libdbus-1-dev' package is missing/incompatible 
error: 'libjpeg8-dev' package is missing/incompatible 
error: 'libcups2-dev' package is missing/incompatible 
error: 'cups-bsd' package is missing/incompatible 
error: 'cups-client' package is missing/incompatible 
error: 'libcupsimage2-dev' package is missing/incompatible 
error: 'libusb-1.0.0-dev' package is missing/incompatible 
error: 'libsane-dev' package is missing/incompatible 
error: 'libsnmp-dev' package is missing/incompatible 
error: 'snmp-mibs-downloader' package is missing/incompatible 
error: 'openssl' package is missing/incompatible 
error: 'python3-pyqt4' package is missing/incompatible 
error: 'python3-dev' package is missing/incompatible 
error: 'libtool' package is missing/incompatible 
error: 'libtool-bin' package is missing/incompatible 
error: 'build-essential' package is missing/incompatible 

Missing Optional Dependencies
-----------------------------
error: 'xsane' package is missing/incompatible 
error: 'python3-notify2' package is missing/incompatible 
error: 'mate-notification-daemon' package is missing/incompatible 
error: 'python3-dbus.mainloop.qt' package is missing/incompatible 

Total Errors: 16
Total Warnings: 0


Done.
mint@mint:~$ 
And not trying to argumentative - but you are missing two big issues:
1.) using the gui to get the compatible plugin for the repo version does not address the all the errors - who knows exactly which ones were key to solving the problem but adding the repo version of plugin alone was not the answer - the OP tested for that so I know that is a fact.
2.) using the latest download version of hplip and plugin in fact did solve all the errors - the OP tested for that as well - and bingo problem solved.

What you and I and several others did was confuse the hell out of the poor guy - but in all fairness you and I suppose brian didn't have a networked HP printer to work with and none of us had an HP 1522nf to test with either.
pbear
Level 15
Level 15
Posts: 5656
Joined: Wed Jun 21, 2017 12:25 pm
Location: San Francisco

Re: HP printer driver problem (solved)

Post by pbear »

Shrug. Until a few days ago, you were still insisting the repo version doesn't have a plugin. If someone in future wants to follow your lead, that's their decision. I'm saying they'd be much better off trying the repo version first.
User avatar
majpooper
Level 6
Level 6
Posts: 1421
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: HP printer driver problem (solved)

Post by majpooper »

pbear wrote:
Wed Dec 25, 2019 6:03 pm
Shrug. Until a few days ago, you were still insisting the repo version doesn't have a plugin. If someone in future wants to follow your lead, that's their decision. I'm saying they'd be much better off trying the repo version first.
No argument here on both counts - absolutely try the repo version first. And you are correct I was mistaken about the repo version of the plugin just be aware the only way you get it is by installing the hp gui because it is not available on the HP development site (why????). All that I,m saying is the repo version and it's plugin does not support a networked HP 1522nf - for that you need something else. And, yeah, Getting 22 errors and a bunch of warnings on the repo version = garbage IMHO - but I guess that's just me.
Slowpoke47
Level 4
Level 4
Posts: 304
Joined: Sun Aug 07, 2016 12:41 pm

Re: HP printer driver problem (solved)

Post by Slowpoke47 »

majpooper wrote:
Thu Dec 26, 2019 1:38 pm
pbear wrote:
Wed Dec 25, 2019 6:03 pm
Shrug. Until a few days ago, you were still insisting the repo version doesn't have a plugin. If someone in future wants to follow your lead, that's their decision. I'm saying they'd be much better off trying the repo version first.
No argument here on both counts - absolutely try the repo version first. And you are correct I was mistaken about the repo version of the plugin just be aware the only way you get it is by installing the hp gui because it is not available on the HP development site (why????). All that I,m saying is the repo version and it's plugin does not support a networked HP 1522nf - for that you need something else. And, yeah, Getting 22 errors and a bunch of warnings on the repo version = garbage IMHO - but I guess that's just me.
The dust has now settled. Happy to report that hplip driver files, including scan function, now installed and tested in the second network computer. For this machine I used the repo version, since majorpooper found that there is indeed a scan plugin associated with this software. Many thanks to all who got me there. Could not have done this solo.
User avatar
majpooper
Level 6
Level 6
Posts: 1421
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: HP printer driver problem (solved)

Post by majpooper »

Slowpoke47 wrote:
Thu Jan 02, 2020 5:07 pm
majpooper wrote:
Thu Dec 26, 2019 1:38 pm
pbear wrote:
Wed Dec 25, 2019 6:03 pm
Shrug. Until a few days ago, you were still insisting the repo version doesn't have a plugin. If someone in future wants to follow your lead, that's their decision. I'm saying they'd be much better off trying the repo version first.
No argument here on both counts - absolutely try the repo version first. And you are correct I was mistaken about the repo version of the plugin just be aware the only way you get it is by installing the hp gui because it is not available on the HP development site (why????). All that I,m saying is the repo version and it's plugin does not support a networked HP 1522nf - for that you need something else. And, yeah, Getting 22 errors and a bunch of warnings on the repo version = garbage IMHO - but I guess that's just me.
The dust has now settled. Happy to report that hplip driver files, including scan function, now installed and tested in the second network computer. For this machine I used the repo version, since majorpooper found that there is indeed a scan plugin associated with this software. Many thanks to all who got me there. Could not have done this solo.
We all learned a lot, at least I did - After all was said and done - I learned that if your HP printer does not just magically appear and all functions work the the first step is to install the hp-gui and go to set-up device.
If that does not work go here and see the minimum version of hplip that supports your printer and it's functions and if you need a plugin
https://developers.hp.com/hp-linux-imag ... ices/index
In the case of the 1522nf I would have found.
min hplip ver. 2.8.10
driver plugin Required
support level Full
scan to PC Yes
PC send FAX Yes
Connectivity USB; Network

What threw me off the trail was the repo plugin being only available via the hp-gui (not on the HP development site) and thinking there was a network support issue. The other thing that bothers me is all the errors and warning from the repo version - although I get that it works it's just not clean. It wasn't until now (this post) that I realize the repo version did in fact support 1522nf network connectivity. All the errors and warnings of the repo version really made me think it was the version that was bad, when it wasn't.
Slowpoke47
Level 4
Level 4
Posts: 304
Joined: Sun Aug 07, 2016 12:41 pm

Re: HP printer driver problem (solved)

Post by Slowpoke47 »

majpooper wrote:
Thu Jan 02, 2020 7:12 pm

No argument here on both counts - absolutely try the repo version first. And you are correct I was mistaken about the repo version of the plugin just be aware the only way you get it is by installing the hp gui because it is not available on the HP development site (why????). All that I,m saying is the repo version and it's plugin does not support a networked HP 1522nf - for that you need something else. And, yeah, Getting 22 errors and a bunch of warnings on the repo version = garbage IMHO - but I guess that's just me.
You (and others) went the extra mile on my behalf, and I am most appreciative. As far as the learning experience- I hope I'm finished installing printers!

But, an oddball problem unrelated to printers reared its ugly head two days ago, I'll post that one in the morning.
Post Reply

Return to “Newbie Questions”